View Issue Details

IDProjectCategoryView StatusLast Update
0003917mantisbtfeaturepublic2019-05-31 08:55
Reportertbarth Assigned Todhx  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Target Version1.2.0rc2Fixed in Version1.2.0rc2 
Summary0003917: ability to add/remove other persons to/from monitor list in a bug
Description

I would like to have the ability to add/remove other persons to/from monitor list when viewing or editing a bug.

Additional Information

This is for adding some of our clients to monitor list for software bugs that we find, but that they didnĀ“t submit theirselves.

TagsNo tags attached.

Relationships

has duplicate 0009934 closeddhx Delete users in the monitor list 
related to 0025826 closeddregad Impossible to set add/remove monitors thresholds from manage page 

Activities

sgrund

sgrund

2004-06-18 10:37

reporter   ~0005729

a little work-around: when You send a reminder to a user, this user is added in the monitor list.

nijel

nijel

2006-08-23 09:03

reporter   ~0013318

There should be way for removing users from monitor list. As reporter can add all mantis users to monitor list by sending reminder, there should be at least way to clean up this list (I disabled reminders as a workaround).

dhx

dhx

2009-07-15 08:45

reporter   ~0022504

Added this feature at long last :)

tbarth

tbarth

2009-07-16 15:41

reporter   ~0022524

Thanks :-)

Related Changesets

MantisBT: master-1.2.x e56bbe53

2009-07-15 12:39:17

dhx

Details Diff
Fix 0003917: Ability to delete other users from bug monitor list

A new configuration option $g_monitor_delete_others_bug_threshold was
added. This option defines the access level required to delete other
users from the list of users monitoring a bug.

If the current user is in an access level above or equal to
$g_monitor_delete_others_bug_threshold they will see a [Delete] link
next to each username in the bug monitor list for each bug. Clicking on
this link will stop a user from monitoring a bug.
Affected Issues
0003917
mod - bug_monitor_list_view_inc.php Diff File
mod - core/bug_api.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - lang/strings_english.txt Diff File
mod - lang/strings_german_eintrag.txt Diff File
mod - core/html_api.php Diff File

MantisBT: master 33f859c9

2009-07-15 12:39:17

dhx

Details Diff
Fix 0003917: Ability to delete other users from bug monitor list

A new configuration option $g_monitor_delete_others_bug_threshold was
added. This option defines the access level required to delete other
users from the list of users monitoring a bug.

If the current user is in an access level above or equal to
$g_monitor_delete_others_bug_threshold they will see a [Delete] link
next to each username in the bug monitor list for each bug. Clicking on
this link will stop a user from monitoring a bug.
Affected Issues
0003917
mod - bug_monitor_list_view_inc.php Diff File
mod - core/bug_api.php Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - lang/strings_english.txt Diff File
mod - lang/strings_german_eintrag.txt Diff File
mod - core/html_api.php Diff File
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2004-06-07 14:56 tbarth New Issue
2004-06-18 10:37 sgrund Note Added: 0005729
2006-08-23 09:03 nijel Note Added: 0013318
2009-06-24 19:44 vboctor Relationship added related to 0009934
2009-07-15 08:38 dhx Relationship deleted related to 0009934
2009-07-15 08:38 dhx Relationship added has duplicate 0009934
2009-07-15 08:38 dhx Assigned To => dhx
2009-07-15 08:38 dhx Status new => assigned
2009-07-15 08:38 dhx Target Version => 1.2.2
2009-07-15 08:45 dhx Note Added: 0022504
2009-07-15 08:45 dhx Status assigned => resolved
2009-07-15 08:45 dhx Fixed in Version => 1.2.2
2009-07-15 08:45 dhx Resolution open => fixed
2009-07-15 08:50 dhx Changeset attached master-1.2.x e56bbe53 =>
2009-07-15 08:50 dhx Changeset attached master 33f859c9 =>
2009-07-16 15:41 tbarth Note Added: 0022524
2009-10-07 14:19 jreese Status resolved => closed
2019-05-31 08:55 dregad Relationship added related to 0025826